## golang-gopkg-libgit2-git2go.v28 0.28.4

=== Makefile ===
default: test

test: build-libgit2
	go run script/check-MakeGitError-thread-lock.go
	go test ./...

install: build-libgit2
	go install ./...

build-libgit2:
	./script/build-libgit2-static.sh

install-static: build-libgit2
	go install --tags "static" ./...

test-static: build-libgit2
	go run script/check-MakeGitError-thread-lock.go
	go test --tags "static" ./...

## golang-gopkg-libgit2-git2go.v28 0.28+git20190813.37e5b53

=== debian/changelog ===
golang-gopkg-libgit2-git2go.v28 (0.28+git20190813.37e5b53-3) unstable; urgency=medium

  * Reupload to unstable (libgit2 0.28 is in unstable now)
  * Drop compat file, rely on debhelper-compat
  * Bump Standards-Version to 4.4.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Tue, 03 Dec 2019 18:12:36 +0530

golang-gopkg-libgit2-git2go.v28 (0.28+git20190813.37e5b53-2) experimental; urgency=medium

  * Team upload
  * Fix XS-Go-Import-Path

 -- Sruthi Chandran <srud@debian.org>  Thu, 26 Sep 2019 15:17:11 +0530

golang-gopkg-libgit2-git2go.v28 (0.28+git20190813.37e5b53-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.28+git20190813.37e5b53 (Closes: #931697)
      + Rename the source and binary packages (from v27 to v28)
      + Patch for fixing invalid version guard (from v27 to v28)
  * debian: Bump up the debhelper version to 12
  * d/control: Bump up the policy standard version to 4.4.0
  * d/changelog: Fix lintian P: file-contains-trailing-whitespace
  * d/watch: Add watch file

 -- Jongmin Kim <jmkim@pukyong.ac.kr>  Sat, 17 Aug 2019 17:22:19 +0900

golang-gopkg-libgit2-git2go.v27 (0.27+git20180529.9abc050-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Thu, 12 Jul 2018 09:51:48 +0530

golang-gopkg-libgit2-git2go.v27 (0.27+git20180529.9abc050-1) experimental; urgency=medium

  * New upstream version 0.27+git20180529.9abc050 (Closes: #898890)
  * All tests are passing (Closes: #897522)
  * Add myself to uploaders
  * Use XS-Go-Import-Path

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Jun 2018 12:46:30 +0530

golang-gopkg-libgit2-git2go.v26 (0.26+git20170903.0.eb0bf21-1) sid; urgency=medium

  [ Michael Stapelberg ]
  * gbp.conf: set debian-branch
  * update debian/gitlab-ci.yml (using salsa.debian.org/go-team/ci/cmd/ci)

  [ Maximiliano Curia ]
  * Prepare v26 version (Closes: 876707)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 03 Mar 2018 11:29:13 +0100

golang-git2go (0.24+git20161003.0.2209188-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper 10
  * Set the minimum version of the libgit2 required
  * Bump Standards-Version to 4.0.1.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 22 Aug 2017 13:10:35 +0200

golang-git2go (0.0~git20150731.0.ed62fda-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add debian/patches/0001-disable-remote-tests.patch (Closes: #792218)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 03 Aug 2015 09:05:32 +0200

golang-git2go (0.0~git20150623-1) unstable; urgency=medium

  * Initial release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 23:12:05 +0200

=== debian/control ===
Source: golang-gopkg-libgit2-git2go.v28
Section: devel
Priority: optional
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 12)
 , golang-any
 , dh-golang
 , pkg-config
 , libgit2-dev (>> 0.28~)
Standards-Version: 4.4.1
Homepage: https://github.com/libgit2/git2go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-libgit2-git2go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-libgit2-git2go.git
XS-Go-Import-Path: gopkg.in/libgit2/git2go.v28
Testsuite: autopkgtest-pkg-go

Package: golang-gopkg-libgit2-git2go.v28-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, pkg-config, libgit2-dev (>> 0.28~)
Description: Go bindings for libgit2
 libgit2 is a portable, pure C implementation of the Git distributed version
 control system core methods provided as a re-entrant link-able library with a
 solid API.
 .
 This package provides the bindings of libgit2 for the Go programming language.

=== debian/watch ===
version=4
opts="\
  mode=git,\
  pgpmode=none,\
  pretty=0.28+git%cd.%h,\
  date=%Y%m%d,\
  compression=xz,\
" https://github.com/libgit2/git2go.git \
  heads/master

## golang-gopkg-libgit2-git2go.v28 0.28.4

=== debian/changelog ===
golang-gopkg-libgit2-git2go.v28 (0.28.4-1) unstable; urgency=medium

  * New upstream version 0.28.4
  * Update d/warch for doing sane updates
  * Fix d/control wrt cme
  * Refresh patches

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 16 Feb 2020 21:34:17 +0530

=== debian/control ===
Source: golang-gopkg-libgit2-git2go.v28
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Pirate Praveen <praveen@debian.org>,
           Utkarsh Gupta <utkarsh@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               golang-any,
               dh-golang,
               pkg-config,
               libgit2-dev (>> 0.28~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-libgit2-git2go.git
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-libgit2-git2go
Homepage: https://github.com/libgit2/git2go
XS-Go-Import-Path: gopkg.in/libgit2/git2go.v28
Rules-Requires-Root: no

Package: golang-gopkg-libgit2-git2go.v28-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pkg-config,
         libgit2-dev (>> 0.28~)
Description: Go bindings for libgit2
 libgit2 is a portable, pure C implementation of the Git distributed version
 control system core methods provided as a re-entrant link-able library with a
 solid API.
 .
 This package provides the bindings of libgit2 for the Go programming language.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/micro-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/libgit2/git2go/tags .*/v?(\d\S*)\.tar\.gz

## golang-gopkg-libgit2-git2go.v28 0.28.5

=== debian/changelog ===
golang-gopkg-libgit2-git2go.v28 (0.28.5-1) unstable; urgency=medium

  * New upstream version 0.28.5
  * Drop patch as it is merged upstream

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 29 Feb 2020 18:13:29 +0530
